name: attendance_mobile
description: Attendance app (selfie + location + server time)
publish_to: "none"
version: 1.2.6+17

environment:
  sdk: ^3.10.0

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter

  connectivity_plus: ^6.1.5
  crypto: ^3.0.6
  cupertino_icons: ^1.0.8
  device_info_plus: ^11.5.0
  file_picker: ^10.3.2
  flutter_map: ^8.2.2
  flutter_secure_storage: ^9.2.4
  flutter_windowmanager:
    path: packages/flutter_windowmanager
  geolocator: ^14.0.2
  google_fonts: ^6.2.1
  google_mlkit_face_detection: ^0.13.1
  http: ^1.5.0
  image_picker: ^1.2.0
  latlong2: ^0.9.1
  local_auth: ^2.3.0
  path: ^1.9.1
  permission_handler: ^12.0.1
  shared_preferences: ^2.5.3
  sqflite: ^2.4.2
  url_launcher: ^6.3.2
  firebase_core: ^4.10.0
  firebase_messaging: ^16.3.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0
  flutter_launcher_icons: ^0.14.3

flutter:
  uses-material-design: true
  assets:
    - env.json
    - assets/logos/

flutter_launcher_icons:
  android: true
  ios: false
  image_path: "assets/logos/hr_logo.png"
  min_sdk_android: 21
